## ros-humble-performance-test-fixture 0.0.9

=== debian/changelog ===
ros-humble-performance-test-fixture (0.0.9-1jammy) jammy; urgency=high

  * Mirror rolling to main
  * Add "cstring" to the list of includes (#19 <https://github.com/ros2/performance_test_fixture/issues/19>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.8-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#16 <https://github.com/ros2/performance_test_fixture/issues/16>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-performance-test-fixture (0.0.7-1jammy) jammy; urgency=high

  * Record calls to calloc, update tests (#15 <https://github.com/ros2/performance_test_fixture/issues/15>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.6-1jammy) jammy; urgency=high

  * Make allocation counter atomic (#13 <https://github.com/ros2/performance_test_fixture/issues/13>)
    Even if the benchmark itself isn't threaded, the process we're testing
    could be. In any case, this should prevent those shenanigans from
    messing up the measurement.
  * Add methods for pausing/resuming performance metrics (#10 <https://github.com/ros2/performance_test_fixture/issues/10>)
    * Add methods for pausing/resuming performance metrics
  * Add benchmarks to evaluate overhead (#11 <https://github.com/ros2/performance_test_fixture/issues/11>)
    * Add benchmarks to evaluate overhead in performance tests
  * Add namespace performance_test_fixture to .cpp (#9 <https://github.com/ros2/performance_test_fixture/issues/9>)
  * Contributors: Scott K Logan, brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-humble-performance-test-fixture (0.0.5-1jammy) jammy; urgency=high

  * Export dependency on benchmark and osrf_testing_tools_cpp (#8 <https://github.com/ros2/performance_test_fixture/issues/8>)
  * Update maintainers (#7 <https://github.com/ros2/performance_test_fixture/issues/7>)
  * Contributors: Alejandro Hernández Cordero, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 21 Oct 2020 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.4-1jammy) jammy; urgency=high

  * Expose a function for resetting the heap counters (#6 <https://github.com/ros2/performance_test_fixture/issues/6>)
  * Stop recording memory operations sooner (#5 <https://github.com/ros2/performance_test_fixture/issues/5>)
  * Suppress memory tools warning if tests will be skipped (#4 <https://github.com/ros2/performance_test_fixture/issues/4>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 17 Sep 2020 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.3-1jammy) jammy; urgency=high

  * Export dependency on ament_cmake_google_benchmark (#3 <https://github.com/ros2/performance_test_fixture/issues/3>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Sep 2020 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.2-1jammy) jammy; urgency=high

  * Add missing dependency on ament_cmake_google_benchmark (#2 <https://github.com/ros2/performance_test_fixture/issues/2>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-humble-performance-test-fixture (0.0.1-1jammy) jammy; urgency=high

  * Initial 'performance_test_fixture' package (#1 <https://github.com/ros2/performance_test_fixture/issues/1>)
  * Initial commit
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000
